Page MenuHomePhabricator

Tech Talks Proposal June 2019: What in the world is Analytics doing back there?
Closed, ResolvedPublic

Description

Date: June 26, 11 AM Pacific
Speaker: Dan Andrescu

  • Book conference room
  • Set up Google Hangout on air and youtube stream with OIT
  • 30 days out, send email -- external goes to Wikitech-l, internal goes to product-all, tech-all, foundation-optional
  • 1 week out -- 30 days out, send email -- external goes to Wikitech-l, internal goes to product-all, tech-all, foundation-optional (actually sent 1 day before)
  • .5 hours out -- 30 days out, send email -- external goes to Wikitech-l, internal goes to product-all, tech-all, foundation-optional
  • Upload talk to Commons and update: https://www.mediawiki.org/wiki/Wikimedia_Technical_Talks#Episode_4%3A_Wikimedia_and_W3C

So it seems like S Page suggested we talk about what our team is doing and that was like 4 years ago [1]! Totally off the top of my head, here's what I can cover:

  • Rebuilding historical mediawiki data and publishing the dataset
  • Building the new Wikistats UI
  • Feeding EventLogging data into Druid, visualizing with Turnilo
  • Event Platform: future of EventLogging
  • Hadoop: our little monster cluster
  • GPU-accelerated machine learning
  • Pageviews (and other reading metrics) API on Cassandra
  • Dashiki, Reportupdater, and other helper tools we build

I most definitely won't have time to dive deeply into all of these. So maybe the best strategy would be to pick a few and go a little more in-depth.

[1] https://www.mediawiki.org/w/index.php?title=Tech_talks&diff=prev&oldid=1436145

Event Timeline

@Milimetric Thank you for adding this Phab task! I agree, pick a few that you feel you can cover in 45 min and go with those. You might approach them holistically, or think about doing a talk that consists of smaller segments.

Would Wed June 26 work for you? Or something close to that date?

srodlund updated the task description. (Show Details)May 14 2019, 9:44 PM
srodlund renamed this task from Tech Talks Proposal 2019: What in the world is Analytics doing back there? to Tech Talks Proposal June 2019: What in the world is Analytics doing back there?.May 23 2019, 5:21 PM
srodlund reassigned this task from srodlund to ssastry.May 23 2019, 5:50 PM
srodlund added a subscriber: ssastry.

Hey hey @ssastry -- here is the ticket for the June talk.

ssastry triaged this task as Normal priority.Jun 17 2019, 4:08 PM
ssastry updated the task description. (Show Details)
ssastry updated the task description. (Show Details)Jun 24 2019, 2:32 PM
ssastry closed this task as Resolved.Jul 8 2019, 5:16 PM
ssastry updated the task description. (Show Details)